OGRE-Next: Ogre::APKFileSystemArchiveFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::APKFileSystemArchiveFactory Class Reference

`#include <OgreAPKFileSystemArchive.h>`

Inheritance diagram for Ogre::APKFileSystemArchiveFactory:
[legend]

## Public Member Functions
| APKFileSystemArchiveFactory (AAssetManager *assetMgr)
virtual | ~APKFileSystemArchiveFactory ()
virtual void | convertPath (String &inOutPath) const
| Some implementations (i.e.
Archive * | createInstance (const String &name, bool readOnly)
| Creates a new object.
void | destroyInstance (Archive *arch)
| Destroys an object which was created by this factory.
const String & | getType () const
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
| ~ArchiveFactory () override
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()

## Constructor & Destructor Documentation

## ◆ APKFileSystemArchiveFactory()

Ogre::APKFileSystemArchiveFactory::APKFileSystemArchiveFactory | ( | AAssetManager * | assetMgr | ) |
| inline

## ◆ ~APKFileSystemArchiveFactory()

virtual Ogre::APKFileSystemArchiveFactory::~APKFileSystemArchiveFactory | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ convertPath()

virtual void Ogre::APKFileSystemArchiveFactory::convertPath | ( | String & | inOutPath | ) | const
| virtual

Some implementations (i.e.

APKFileSystemArchive) usually modify the filename. For example in APKFileSystemArchive, "/path/to/localfile.mesh" gets internally stored as "path/to/localfile.mesh" (no leading slash), but across the platform the leading slash is required. The ArchiveManager needs to be aware of this.

Parameters

  inOutPath | Given the input path, converts it to the final path.

Reimplemented from Ogre::ArchiveFactory.

## ◆ createInstance()

Archive * Ogre::APKFileSystemArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )
| inlinevirtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

References getType(), and OGRE_NEW.

## ◆ destroyInstance()

void Ogre::APKFileSystemArchiveFactory::destroyInstance | ( | Archive * | arch | ) |
| inlinevirtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

References OGRE_DELETE.

## ◆ getType()

const String & Ogre::APKFileSystemArchiveFactory::getType | ( |  | ) | const
| virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

Referenced by createInstance().

The documentation for this class was generated from the following file:

- OgreAPKFileSystemArchive.h